const platform = uni.getSystemInfoSync().platform;
const screenWitdh = uni.getSystemInfoSync().screenWidth;
const screenHeight = uni.getSystemInfoSync().screenHeight;

function platformVal(androidVal, iosVal) {
	return 'android' == platform ? androidVal : 'ios' == platform ? iosVal : "";
}

function calculateViewWidth(marginLeft, marginRight) {
	return screenWitdh - marginLeft - marginRight;
}

function calculateAndroidViewWidth(marginLeft, marginRight) {
	return screenH - marginLeft - marginRight;
}

function calculateViewX(superViewWidth, width, marginRight) {
	console.log(superViewWidth)
	console.log(superViewWidth - marginRight - width)
	return superViewWidth - marginRight - width;
}

function buildFullscreen() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 10);
	const sloganTop = String(unit * 5);
	const numberTop = String(unit * 6 + 20);
	const loginBtnTop = String(unit * 9);
	const switchTop = String(unit * 12);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				bottomBgColor: "#FF0000",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			setCheckBoxUi: {
				top: 10,
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
		}
	};
}

function buildPrivacyAlertFullscreen() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 10);
	const sloganTop = String(unit * 5);
	const numberTop = String(unit * 6 + 20);
	const loginBtnTop = String(unit * 9);
	const switchTop = String(unit * 12);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
			},
			setCheckBoxUi: {
				top: 10,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: true,
				radius: [10, 10, 10, 10],
				backgroundColor: '#FFFFFF',
				width: platformVal(300, calculateViewWidth(20, 20)),
				height: platformVal(400, 200)
			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: true,
				top: 0,
				left: platformVal(335, calculateViewX(calculateViewWidth(20, 20), 40, 15)),
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40,
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				//activeImgPath:"static/btn_normal.png",
				//hightedImgPath:"static/btn_pressed.png",
				textColor: "#000000",
				textSize: platformVal(17, 18),
				width: platformVal(100, 150),
				top: platformVal(40, 130),
				height: 50,
				left: platformVal(170, 210),
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: platformVal(17, 18),
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: platformVal(30, 40),
			top: platformVal(40, 130),
			width: platformVal(100, 150),
			height: 50,
		}]
	};
}

function buildFullscreenPrivacyActionSheetStyle() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 10);
	const sloganTop = String(unit * 5);
	const numberTop = String(unit * 6 + 20);
	const loginBtnTop = String(unit * 9);
	const switchTop = String(unit * 12);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			setCheckBoxUi: {
				top: 10,
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: false,
				radius: [10, 0, 0, 10],
				backgroundColor: '#FFFFFF',
				width: screenWitdh,
				height: platformVal(400, 300),
				top: screenHeight - platformVal(400, 300)
			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: false
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40,
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				textColor: "#FFFFFF",
				textSize: platformVal(17, 18),
				width: calculateViewWidth(20, 20),
				top: platformVal(40, 130),
				height: 50,
				left: 20,
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: platformVal(17, 18),
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: 20,
			top: platformVal(100, 200),
			width: calculateViewWidth(20, 20),
			height: 50,
		}]
	};
}

function buildFullscreenPrivacyLandscapeAlertStyle() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 30);
	const numberTop = String(unit * 2 + 30);
	const loginBtnTop = String(unit * 3 + 40);
	const switchTop = String(unit * 4 + 60);

	return {
		uiConfig: {
			supportedInterfaceOrientations: (1 << 3 | 1 << 4),
			setScreenOrientation: 6,
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganHidden: true,
			setNumberUi: {
				top: numberTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: false,
				radius: [10, 10, 10, 10],
				backgroundColor: '#FFFFFF',
				width: platformVal(300, calculateViewWidth(20, 20)),
				height: platformVal(300, 200)
			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: true,
				top: 0,
				left: platformVal(335, calculateViewX(calculateViewWidth(20, 20), 40, 15)),
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40,
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				textColor: "#FFFFFF",
				textSize: platformVal(17, 18),
				width: platformVal(100, 150),
				top: platformVal(40, 130),
				height: 50,
				left: platformVal(170, 210),
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: platformVal(17, 18),
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: platformVal(30, 40),
			top: platformVal(40, 130),
			width: platformVal(100, 150),
			height: 50,
		}]
	};
}

function buildFullscreenPrivacyLandscapeActionSheetStyle() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	console.log(unit)
	const logoTop = String(unit * 1 - 30);
	const numberTop = String(unit * 2 + 30);
	const loginBtnTop = String(unit * 3 + 40);
	const switchTop = String(unit * 4 + 60);

	return {
		uiConfig: {
			supportedInterfaceOrientations: (1 << 3 | 1 << 4),
			setScreenOrientation: 6,
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganHidden: true,
			setNumberUi: {
				top: numberTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: false,
				radius: platformVal([10, 10, 0, 0], [10, 0, 0, 10]),
				backgroundColor: '#FFFFFF',
				width: platformVal(screenHeight - 120, 400),
				height: platformVal(240, 300),
				top: platformVal(screenWitdh - 240, screenHeight - 300),
				left: platformVal(30, (screenWitdh - 400) * 0.5)

			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: false
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40,
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				textColor: "#FFFFFF",
				textSize: platformVal(17, 18),
				width: platformVal(screenHeight - 400, 360),
				top: platformVal(10, 130),
				height: platformVal(40, 50),
				left: platformVal(140, 20),
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: platformVal(17, 18),
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: platformVal(140, 20),
			top: platformVal(60, 200),
			width: platformVal(screenHeight - 400, 360),
			height: platformVal(42, 50),
		}]
	};
}

function buildAlert() {
	const bodyHeight = plus.display.resolutionHeight;
	const bodyWidth = plus.display.resolutionWidth;
	const dialogWidth = parseInt(bodyWidth * 0.8);
	const dialogHeight = parseInt(dialogWidth / 0.618);
	const unit = parseInt(dialogHeight / 10);
	const logoTop = String(unit * 0.3);
	const sloganTop = String(unit * 2.5);
	const numberTop = String(unit * 3.2);
	const loginBtnTop = String(unit * 4.3);
	const switchTop = String(unit * 6.0);

	return {
		uiConfig: {
			setDialogTheme: {
				width: String(dialogWidth),
				height: String(dialogHeight),
			},
			setNavUi: {
				text: "一键登录",
				textColor: "#000000",
				bgColor: "#00FFFFFF",
				returnImgPath: "static/close_black.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
				textSize: platformVal("23", "24")
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			}
		}
	};
}

function buildSheet() {
	const bodyHeight = plus.display.resolutionHeight;
	const dialogHeight = 450;
	const unit = parseInt(dialogHeight / 10);
	const logoTop = String(unit * 0.3);
	const sloganTop = String(unit * 1.8);
	const numberTop = String(unit * 0.6);
	const loginBtnTop = String(unit * 3.2);
	const privacyUiTop = String(unit * 4.8);
	const switchTop = String(unit * 7.2);

	return {
		uiConfig: {
			setDialogTheme: {
				height: String(dialogHeight),
				isBottom: "true"
			},
			setNavUi: {
				text: "一键登录",
				textSize: "15",
				textColor: "#FF333333",
				bgColor: "#FFFFFFFF",
				returnImgPath: "static/images/icons/close.png",
				returnImgWidth: "20",
				returnImgHeight: "20",
			},
			// setLogoUi: {
			// 	imgPath: "/static/images/icons/close.png",
			// 	top: logoTop
			// },
			setSloganUi: {
				textSize: "12",
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
				textSize: platformVal("28", "28"),
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// textColor: "#551A8B", //登录按钮标题颜色
				textSize: "15", //文字大小，注意后面不要加单位（Android默认为sp，iOS默认为pt）
				imgPath: "static/images/background/buttonBj.png", //按钮背景图片路径，如果需要区分正常效果和点击效果，则使用activeImgPath和hightedImgPath,iOS可以单独设置不可点击状态图片，请设置invalidImgPath属性
				// color: "#D8BFD8", //当imgPath或者activeImgPath、invalidImgPath、hightedImgPath属性为空时使用color属性作为按钮背景填充色
				// activeImgPath: "", //设置默认状态图片，设置了imgPath之后该属性不生效，该属性需要和invalidImgPath、hightedImgPath一起设置才能生效，android需要和hightedImgPath一起设置才生效
				// invalidImgPath: "", //iOS专用，设置不可点击图片，设置了imgPath之后该属性不生效，该属性需要和hightedImgPath、activeImgPath一起设置才能生效
				// hightedImgPath: "", //设置高亮状态图片，设置了imgPath之后该属性不生效，iOS该属性需要和activeImgPath、invalidImgPath一起设置才能生效，android需要和activeImgPath一起设置才生效
				// left: "20", //距离父容器左侧偏移，不设置则默认居中，注意后面不要加单位（Android默认为dp，iOS默认为pt）
				width: "295", //控件宽度，宽度必须大于屏幕的一半，注意后面不要加单位（Android默认为dp，iOS默认为pt）
				height: "49", //控件高度，高度不能小于20，注意后面不要加单位（Android默认为dp，iOS默认为pt）
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			//check box相关设置
			setCheckBoxUi: {
				defaultChecked: "true", //check box默认是否勾选，不设置则默认不勾选，需要用户手动勾选（true：默认勾选，false：默认不勾选）
				unCheckedImgPath: "static/images/agree_n.png", //check box未选中时的图片，必须同时设置 checkedImgPath 有效，该属性才会生效
				checkedImgPath: "static/images/agree_y.png", //check box选中时的图片，必须同时设置 unCheckedImgPath 有效，该属性才会生效
				width: "14", //控件宽高，注意后面不要加单位（Android默认为dp，iOS默认为pt）
				checkBoxPostion: "top", //iOS专用，checkbox的位置，只有两种top或者VerticalCenter，分别对应顶部对齐和垂直居中对齐，填写其他值不生效，默认顶部对齐
				top: 3, //android专用，CheckBox上边距，单位dp
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true,
				textSize: "13",
				vendorPrivacyPrefix: "《", //供应商协议前缀
				vendorPrivacySuffix: "》", //供应商协议后缀
				top: privacyUiTop,
				beforeText: "未注册手机号登录后将自动生成账号，且代表您已阅读并同意，",
				conectTexts: "[' ',' ',' ']",
				baseColor: "#898989 ", //协议文案非协议部分颜色
				//operatorColor: "#FFB5C5", //单独设置运营商协议富文本颜色，该字段优先级最高，设置了该字段之后protocolColor字段设置的将失效，若该字段不设置，则采用protocolColor的值
				oneColor: "#E8101E", //单独设置第一个协议富文本颜色，该字段优先级最高，设置了该字段之后protocolColor字段设置的将失效，若该字段不设置，则采用protocolColor的值
				twoColor: "#E8101E", //单独设置第二个协议富文本颜色，该字段优先级最高，设置了该字段之后protocolColor字段设置的将失效，若该字段不设置，则采用protocolColor的值
				threeColor: "#E8101E", //单独设置第三个协议富文本颜色，该字段优先级最高，设置了该字段之后protocolColor字段设置的将失效，若该字段不设置，则采用protocolColor的值
			},
			setAppPrivacyOne: {
				title: '《用户注册协议》',
				url: "https://www.mrrweb.com.cn/junit/system/sjappzcxy"
			},
			setAppPrivacyTwo: {
				title: '《隐私政策》',
				url: "https://www.mrrweb.com.cn/junit/system/sjappyszc"
			},
			// setAppPrivacyThree: {
			// 	title: '服务协议',
			// 	url: "https://www.taobao.com"
			// },
			// setPrivacyAlertIsNeedShow: true,
			// setPrivacyAlertUi: {
			// 	needAutoLogin: false,
			// 	radius: [10, 10, 10, 10],
			// 	backgroundColor: '#FFFFFF',
			// 	width: platformVal(300, calculateViewWidth(20, 20)),
			// 	height: platformVal(400, 200)
			// },
			// setPrivacyAlertMaskUi: {
			// 	needShow: true,
			// 	tapMaskClosed: true,
			// 	color: "#000000",
			// 	alpha: 0.5,
			// },
			// setPrivacyAlertTitleUi: {
			// 	backgroundColor: "#FFFFFF",
			// 	alignment: 1,
			// 	text: "请同意",
			// 	textSize: platformVal(16, 20),
			// 	textColor: "#000000",
			// 	top: 10,
			// },
			// setPrivacyAlertCloseUi: {
			// 	needShow: true,
			// 	top: 0,
			// 	left: platformVal(335, calculateViewX(calculateViewWidth(20, 20), 40, 15)),
			// },
			// setPrivacyAlertContentUi: {
			// 	backgroundColor: "#FFFFFF",
			// 	textSize: platformVal(14, 18),
			// 	alignment: 1,
			// 	top: platformVal(10, 50),
			// 	width: 335,
			// 	left: 40,
			// },
			// setPrivacyAlertConfirmUi: {
			// 	text: "我已阅读",
			// 	color: "#FF7F00",
			// 	textColor: "#FFFFFF",
			// 	textSize: 18,
			// 	width: platformVal(100, 150),
			// 	top: platformVal(40, 130),
			// 	height: 50,
			// 	left: platformVal(170, 210),
			// }
		}
	};
}

function buildFullscreenAndImageBg() {
	const bodyHeight = plus.screen.resolutionHeight;
	const bodyWidth = plus.screen.resolutionWidth;
	const designHeight = bodyHeight - 80;
	const unit = parseInt(designHeight / 20);
	const numberTop = String(unit * 11);
	const loginBtnTop = String(unit * 13);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavHidden: "true",
			setLogoHidden: "true",
			setSloganHidden: "true",
			setSwitchHidden: "true",
			setBackgroundUi: {
				backgroundColor: "#01001C",
				imagePath: "static/background.png",
			},
			setNumberUi: {
				top: numberTop,
				textColor: "#FFFFFF",
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			}
		},
		widgets: [{
			widgetId: "close",
			type: "Button",
			left: "25",
			top: platformVal("0", "64"),
			width: "24",
			height: "24",
			backgroundImage: "static/close_white.png",
		}, {
			widgetId: "line",
			type: "Text",
			alignment: "1",
			textContent: "-其他方式登录-",
			textSize: "13",
			textColor: "#FFFFFF",
			backgroundColor: "#00FFFFFF",
			left: "10",
			top: String(unit * 16),
			width: String(bodyWidth - 20),
			height: "20"
		}, {
			widgetId: "alipay",
			type: "Button",
			left: String(bodyWidth * 0.5 - 20 - 50),
			top: String(unit * 17),
			width: "50",
			height: "50",
			backgroundImage: "static/alipay_icon.png",
		}, {
			widgetId: "taobao",
			type: "Button",
			left: String(bodyWidth * 0.5 + 20),
			top: String(unit * 17),
			width: "50",
			height: "50",
			backgroundImage: "static/taobao_icon.png",
		}]
	};
}

function buildFullscreenAndVideoBg() {
	const bodyHeight = plus.screen.resolutionHeight;
	const bodyWidth = plus.screen.resolutionWidth;
	const designHeight = bodyHeight - 80;
	const unit = parseInt(designHeight / 20);
	const numberTop = String(unit * 11);
	const loginBtnTop = String(unit * 13);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavHidden: "true",
			setLogoHidden: "true",
			setSloganHidden: "true",
			setSwitchHidden: "true",
			setBackgroundUi: {
				backgroundColor: "#01001C",
				videoPath: "static/background_video.mp4",
			},
			setNumberUi: {
				top: numberTop,
				textColor: "#FFFFFF",
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			}
		},
		widgets: [{
			widgetId: "close",
			type: "Button",
			left: "25",
			top: platformVal("0", "64"),
			width: "24",
			height: "24",
			backgroundImage: "static/close_white.png",
		}, {
			widgetId: "line",
			type: "Text",
			alignment: "1",
			textContent: "-其他方式登录-",
			textSize: "13",
			textColor: "#FFFFFF",
			backgroundColor: "#00FFFFFF",
			left: "10",
			top: String(unit * 16),
			width: String(bodyWidth - 20),
			height: "20"
		}, {
			widgetId: "alipay",
			type: "Button",
			left: String(bodyWidth * 0.5 - 20 - 50),
			top: String(unit * 17),
			width: "50",
			height: "50",
			backgroundImage: "static/alipay_icon.png",
		}, {
			widgetId: "taobao",
			type: "Button",
			left: String(bodyWidth * 0.5 + 20),
			top: String(unit * 17),
			width: "50",
			height: "50",
			backgroundImage: "static/taobao_icon.png",
		}]
	};
}

function buildFullscreenAndGifBg() {
	const bodyHeight = plus.screen.resolutionHeight;
	const bodyWidth = plus.screen.resolutionWidth;
	const designHeight = bodyHeight - 80;
	const unit = parseInt(designHeight / 20);
	const numberTop = String(unit * 11);
	const loginBtnTop = String(unit * 13);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavHidden: "true",
			setLogoHidden: "true",
			setSloganHidden: "true",
			setSwitchHidden: "true",
			setBackgroundUi: {
				backgroundColor: "#01001C",
				gifPath: "static/background_gif.gif",
			},
			setNumberUi: {
				top: numberTop,
				textColor: "#FFFFFF",
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			}
		},
		widgets: [{
			widgetId: "close",
			type: "Button",
			left: "25",
			top: platformVal("0", "64"),
			width: "24",
			height: "24",
			backgroundImage: "static/close_white.png",
		}, {
			widgetId: "line",
			type: "Text",
			alignment: "1",
			textContent: "-其他方式登录-",
			textSize: "13",
			textColor: "#FFFFFF",
			backgroundColor: "#00FFFFFF",
			left: "10",
			top: String(unit * 16),
			width: String(bodyWidth - 20),
			height: "20"
		}, {
			widgetId: "alipay",
			type: "Button",
			left: String(bodyWidth * 0.5 - 20 - 50),
			top: String(unit * 17),
			width: "50",
			height: "50",
			backgroundImage: "static/alipay_icon.png",
		}, {
			widgetId: "taobao",
			type: "Button",
			left: String(bodyWidth * 0.5 + 20),
			top: String(unit * 17),
			width: "50",
			height: "50",
			backgroundImage: "static/taobao_icon.png",
		}]
	};
}

function buildFullscreenAndWebviewBg() {
	const bodyHeight = plus.screen.resolutionHeight;
	const bodyWidth = plus.screen.resolutionWidth;
	const designHeight = bodyHeight - 80;
	const unit = parseInt(designHeight / 20);
	const numberTop = String(unit * 7);
	const sloganTop = String(unit * 9);
	const loginBtnTop = String(unit * 12);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavHidden: "true",
			setLogoHidden: "true",
			setSwitchHidden: "true",
			setBackgroundUi: {
				webviewPath: "static/background_web.html",
			},
			setNumberUi: {
				top: numberTop,
				textColor: "#FFFFFF",
			},
			setSloganUi: {
				textColor: '#FFFFFF',
				textSize: platformVal("16", "17"),
				top: sloganTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			}
		},
		widgets: [{
			widgetId: "close",
			type: "Button",
			left: "25",
			top: platformVal("0", "64"),
			width: "24",
			height: "24",
			backgroundImage: "static/close_white.png",
		}, {
			widgetId: "line",
			type: "Text",
			alignment: "1",
			textContent: "-其他方式登录-",
			textSize: "13",
			textColor: "#FFFFFF",
			backgroundColor: "#00FFFFFF",
			left: "10",
			top: String(unit * 15),
			width: String(bodyWidth - 20),
			height: "20"
		}, {
			widgetId: "alipay",
			type: "Button",
			left: String(bodyWidth * 0.5 - 20 - 50),
			top: String(unit * 16),
			width: "50",
			height: "50",
			backgroundImage: "static/alipay_icon.png",
		}, {
			widgetId: "taobao",
			type: "Button",
			left: String(bodyWidth * 0.5 + 20),
			top: String(unit * 16),
			width: "50",
			height: "50",
			backgroundImage: "static/taobao_icon.png",
		}]
	};
}

function buildFullscreenAndWeexViewBg() {
	const bodyHeight = plus.screen.resolutionHeight;
	const bodyWidth = plus.screen.resolutionWidth;
	const designHeight = bodyHeight - 80;
	const unit = parseInt(designHeight / 20);
	const numberTop = String(unit * 7);
	const sloganTop = String(unit * 9);
	const loginBtnTop = String(unit * 12);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavHidden: "true",
			setLogoHidden: "true",
			setSwitchHidden: "true",
			setBackgroundUi: {
				backgroundColor: "#1E5372",
				weexJsPath: "static/background_weex.js",
			},
			setNumberUi: {
				top: numberTop,
				textColor: "#FFFFFF",
			},
			setSloganUi: {
				textColor: '#FFFFFF',
				textSize: platformVal("16", "17"),
				top: sloganTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			// setCheckBoxUi:{
			// 	top:10,
			// },
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			}
		},
		widgets: [{
			widgetId: "close",
			type: "Button",
			left: "25",
			top: platformVal("0", "64"),
			width: "24",
			height: "24",
			backgroundImage: "static/close_white.png",
		}, {
			widgetId: "line",
			type: "Text",
			alignment: "1",
			textContent: "-其他方式登录-",
			textSize: "13",
			textColor: "#FFFFFF",
			backgroundColor: "#00FFFFFF",
			left: "10",
			top: String(unit * 15),
			width: String(bodyWidth - 20),
			height: "20"
		}, {
			widgetId: "alipay",
			type: "Button",
			left: String(bodyWidth * 0.5 - 20 - 50),
			top: String(unit * 16),
			width: "50",
			height: "50",
			backgroundImage: "static/alipay_icon.png",
		}, {
			widgetId: "taobao",
			type: "Button",
			left: String(bodyWidth * 0.5 + 20),
			top: String(unit * 16),
			width: "50",
			height: "50",
			backgroundImage: "static/taobao_icon.png",
		}]
	};
}

function buildFullscreenGlobalFontName() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 10);
	const sloganTop = String(unit * 5);
	const numberTop = String(unit * 6 + 20);
	const loginBtnTop = String(unit * 9);
	const switchTop = String(unit * 12);

	return {
		uiConfig: {
			globalFontName: platformVal("serif", "STHeitiSC-Medium"),
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
				fontName: platformVal("static/fonts/globalFont.ttf", "PingFangSC-Regular")
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: false,
				radius: [10, 10, 10, 10],
				backgroundColor: '#FFFFFF',
				width: platformVal(300, calculateViewWidth(20, 20)),
				height: platformVal(400, 200)
			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: true,
				top: 0,
				left: platformVal(335, calculateViewX(calculateViewWidth(20, 20), 40, 15)),
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40,
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				textColor: "#FFFFFF",
				textSize: 18,
				width: platformVal(100, 150),
				top: platformVal(40, 130),
				height: 50,
				left: platformVal(170, 210),
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: 18,
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: platformVal(30, 40),
			top: platformVal(40, 130),
			width: platformVal(100, 150),
			height: 50,
		}]
	};
}

function buildFullscreenSingleFontName() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 10);
	const sloganTop = String(unit * 5);
	const numberTop = String(unit * 6 + 20);
	const loginBtnTop = String(unit * 9);
	const switchTop = String(unit * 12);

	return {
		uiConfig: {
			globalFontName: platformVal("static/fonts/globalFont.ttf", "STHeitiSC-Medium"),
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24",
				fontName: platformVal("static/fonts/globalFont.ttf", "static/testFont.ttf"),
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop,
				fontName: "static/fonts/testFont.ttf",
				textSize: 25
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: false,
				radius: [10, 10, 10, 10],
				backgroundColor: '#FFFFFF',
				width: platformVal(300, calculateViewWidth(20, 20)),
				height: platformVal(400, 200)
			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: true,
				top: 0,
				left: platformVal(335, calculateViewX(calculateViewWidth(20, 20), 40, 15)),
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				textColor: "#FFFFFF",
				textSize: 18,
				width: platformVal(100, 150),
				top: platformVal(40, 130),
				height: 50,
				fontName: "static/fonts/testFont.ttf",
				left: platformVal(170, 210),
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: 18,
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: platformVal(30, 40),
			top: platformVal(40, 130),
			width: platformVal(100, 150),
			height: 50,
		}]
	};
}

function buildFullscreenPrivacySignalColor() {
	const unit = parseInt((plus.screen.resolutionHeight - 80) / 20);
	const logoTop = String(unit * 1 - 10);
	const sloganTop = String(unit * 5);
	const numberTop = String(unit * 6 + 20);
	const loginBtnTop = String(unit * 9);
	const switchTop = String(unit * 12);

	return {
		uiConfig: {
			setStatusBarStyle: "1",
			setNavUi: {
				text: "一键登录",
				textColor: "#FFFFFF",
				bgColor: "#0faeff",
				returnImgPath: "static/nav_back.png",
				returnImgWidth: "24",
				returnImgHeight: "24"
			},
			setLogoUi: {
				imgPath: "static/mytel_app_launcher.png",
				top: logoTop,
			},
			setSloganUi: {
				top: sloganTop,
			},
			setNumberUi: {
				top: numberTop
			},
			setLoginBtnUi: {
				top: loginBtnTop,
				// color:'#D8BFD8'
			},
			setSwitchUi: {
				textColor: "#0faeff",
				top: switchTop,
			},
			setPrivacyUi: {
				expandAuthPageCheckedScope: true,
				operatorColor: "#F534D2",
				oneColor: "#FF0000",
				twoColor: "#00FF00",
				threeColor: "#0000FF",
				beforeText: "请阅读并同意",
				endText: "，谢谢"
			},
			setAppPrivacyOne: {
				title: '用户协议',
				url: "https://www.taobao.com"
			},
			setAppPrivacyTwo: {
				title: '隐私政策',
				url: "https://www.taobao.com"
			},
			setAppPrivacyThree: {
				title: '服务协议',
				url: "https://www.taobao.com"
			},
			setPrivacyAlertIsNeedShow: true,
			setPrivacyAlertUi: {
				needAutoLogin: false,
				radius: [10, 10, 10, 10],
				backgroundColor: '#FFFFFF',
				width: platformVal(300, calculateViewWidth(20, 20)),
				height: platformVal(400, 200)
			},
			setPrivacyAlertMaskUi: {
				needShow: true,
				tapMaskClosed: true,
				color: "#000000",
				alpha: 0.5,
			},
			setPrivacyAlertTitleUi: {
				backgroundColor: "#FFFFFF",
				alignment: 1,
				text: "请同意",
				textSize: platformVal(16, 20),
				textColor: "#000000",
				top: 10,
			},
			setPrivacyAlertCloseUi: {
				needShow: true,
				top: 0,
				left: platformVal(335, calculateViewX(calculateViewWidth(20, 20), 40, 15)),
			},
			setPrivacyAlertContentUi: {
				backgroundColor: "#FFFFFF",
				textSize: platformVal(14, 18),
				alignment: 1,
				top: platformVal(10, 50),
				width: 335,
				left: 40,
				privacyAlertOperatorColor: "#F534D2",
				privacyAlertOneColor: "#FF0000",
				privacyAlertTwoColor: "#00FF00",
				privacyAlertThreeColor: "#0000FF",
				privacyAlertBeforeText: "请阅读并同意",
				privacyAlertEndText: "，谢谢"
			},
			setPrivacyAlertConfirmUi: {
				text: "我已阅读",
				color: "#FF7F00",
				textColor: "#FFFFFF",
				textSize: 18,
				width: platformVal(100, 150),
				top: platformVal(40, 130),
				height: 50,
				left: platformVal(170, 210),
			}
		},
		privacyAlertWidgets: [{
			widgetId: "closePrivacyAlert",
			type: "Button",
			textContent: "取消",
			textSize: 18,
			textColor: "#000000",
			borderColor: "#FF7F00",
			borderWidth: 1,
			backgroundColor: "#FFFFFF",
			left: platformVal(30, 40),
			top: platformVal(40, 130),
			width: platformVal(100, 150),
			height: 50,
		}]
	};
}

module.exports = {
	buildFullscreen: buildFullscreen,
	buildPrivacyAlertFullscreen: buildPrivacyAlertFullscreen,
	buildFullscreenPrivacyActionSheetStyle: buildFullscreenPrivacyActionSheetStyle,
	buildFullscreenPrivacyLandscapeAlertStyle: buildFullscreenPrivacyLandscapeAlertStyle,
	buildFullscreenPrivacyLandscapeActionSheetStyle: buildFullscreenPrivacyLandscapeActionSheetStyle,
	buildAlert: buildAlert,
	buildSheet: buildSheet,
	buildFullscreenAndImageBg: buildFullscreenAndImageBg,
	buildFullscreenAndVideoBg: buildFullscreenAndVideoBg,
	buildFullscreenAndGifBg: buildFullscreenAndGifBg,
	buildFullscreenAndWebviewBg: buildFullscreenAndWebviewBg,
	buildFullscreenAndWeexViewBg: buildFullscreenAndWeexViewBg,
	buildFullscreenGlobalFontName: buildFullscreenGlobalFontName,
	buildFullscreenSingleFontName: buildFullscreenSingleFontName,
	buildFullscreenPrivacySignalColor: buildFullscreenPrivacySignalColor
}